<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="InheritSet.aspx.cs" Inherits="Portal.Portal.InheritSet" %>
 <%@ Register src="../UserControls/TabSecMenu.ascx" tagname="TabSecMenu" tagprefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>设定权限</title>


    <script src="../Javascript/jquery-1.9.1.min.js"></script>

    <style>
    .slide li { border-bottom:dotted 1px #cccccc; line-height:29px;}
    #tip{  margin:10px;   }
    
     .btn {
border: 1px solid #919699;
background: #fcfcfc;
text-align: center;
text-decoration: none;
cursor: pointer;
font-size: 12px;
padding-left: 10px;
padding-right: 10px;
padding-top: 4px;
padding-bottom: 4px;
}

    </style>
</head>
<body>
    <form id="form1" runat="server">
    
    
    
    
     <table width="850px">
     <tr valign="top">
     
     <td   style=" width:180px; background-color:#eeeeee; height:1000px; padding-top:10px;">
     
   <uc1:TabSecMenu ID="TabSecMenu1" runat="server" />
   
     
     </td>
     
     <td>

     <fieldset> 
       <div id="tip"></div>
      </fieldset>


     <div style=" margin-left:5px;">


        <asp:CheckBox ID="CheckBox1" runat="server"  Text="权限继承"/> <br />
        
        如果选择权限继承，则当前节点的权限从上一级继承而来<br />
        如果取消权限继承，则需要单独设置节点的读写等权限<br />
 
    <asp:Button ID="btn_ok" runat="server" Text="确定" CssClass="btn" onclick="Button1_Click" />
   </div>

   </td>
   </tr>
   </table>











   
<asp:HiddenField runat="server" ID="hf_menuid" ClientIDMode="Static" />

<script>
    $(document).ready(

    function () {

        menuid = $("#hf_menuid").val();

        $("#a" + menuid).css("font-weight", "bold");

        switch (menuid) {

            case "":
                $("#tip").html("提示：请从左边选择相应的权限。");
                break;

            case "0":
                $("#tip").html("提示：查看权限Read设定用户/组具有查看的权限。");
                break;

            case "1":
                $("#tip").html("提示：修改权限允许修改内容，修改用户的权限会自动具有查看权限");
                break;

            case "2":
                $("#tip").html("提示：设计权限能够修改左边导航，设计用户的权限会自动具有修改的权限。");
                break;
            case "3":
                $("#tip").html("提示：对于Page模块,默认树的子节点会自动继承上一级节点的权限。");
                break;
        }


    }


    );
  
</script>


    </form>
</body>
</html>
